<?php

class MasterPopupsLoader {
    private $plugin_basename;
    private $plugin_path;
    public $plugin_data = array();
    protected static $instance = null;

    /*
    |---------------------------------------------------------------------------------------------------
    | Constructor
    |---------------------------------------------------------------------------------------------------
    */
    private function __construct( $plugin_basename, $plugin_path ){
        $this->plugin_basename = $plugin_basename;
        $this->plugin_path = $plugin_path;
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Singleton
    |---------------------------------------------------------------------------------------------------
    */
    private function __clone(){
    }//Stopping Clonning of Object

    private function __wakeup(){
    }//Stopping unserialize of object

    public static function get_instance( $plugin_basename, $plugin_path ){
        if( null === self::$instance ){
            self::$instance = new self( $plugin_basename, $plugin_path );
        }
        return self::$instance;
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | On Activate
    |---------------------------------------------------------------------------------------------------
    */
    public static function on_activate(){
        $plugin_data = self::get_plugin_data();
        if( empty( $plugin_data ) ){
            return;
        }
        deactivate_plugins( $plugin_data['basename'] );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | On Deactivate
    |---------------------------------------------------------------------------------------------------
    */
    public static function on_deactivate(){

    }


    /*
    |---------------------------------------------------------------------------------------------------
    | Plugin data
    |---------------------------------------------------------------------------------------------------
    */
    public static function get_plugin_data(){
        if( ! function_exists( 'is_plugin_active' ) || ! function_exists( 'get_plugin_data' ) ){
            include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
        }
        $plugins = array(
            'pro' => 'master-popups/master-popups.php',
            'free' => 'master-popups-lite/master-popups.php',
        );
        $plugin_data = array();
        if( is_plugin_active( $plugins['pro'] ) ){
            $plugin_data = get_plugin_data( trailingslashit( WP_PLUGIN_DIR ) . $plugins['pro'] );
            $plugin_data = array_merge( $plugin_data, array( 'basename' => $plugins['pro'] ) );
        }
        if( is_plugin_active( $plugins['free'] ) ){
            $plugin_data = get_plugin_data( trailingslashit( WP_PLUGIN_DIR ) . $plugins['free'] );
            $plugin_data = array_merge( $plugin_data, array( 'basename' => $plugins['free'] ) );
        }
        return $plugin_data;
    }


}