<?php
/**
 * Plugin Name: Master Popups
 * Plugin URI: http://masterpopups.com
 * Description: Multi-Purpose Popup Plugin for WordPress with Powerful and Easy Email Marketing Integration
 * Version: 2.7.2
 * Author: پرشین اسکریپت
 * Author URI: https://www.persianscript.ir
 * Text Domain: masterpopups
 * Domain Path: /languages/
 */


if( ! class_exists( 'MasterPopupsLoader', false ) ){
    include dirname( __FILE__ ) . '/loader.php';
    $loader = MasterPopupsLoader::get_instance( plugin_basename( __FILE__ ), dirname( __FILE__ ) );
    $plugin_data = $loader->get_plugin_data();

    if( empty( $plugin_data ) ){
        //Exit during activation to set info to $plugin_data
        return;
    }

    if ( ! class_exists( 'MasterPopups', false ) ) {
        include dirname( __FILE__ ) . '/includes/class-master-popups.php';
    }

    function MasterPopups( $plugin_data ){
        return MasterPopups::get_instance(array(
            'plugin_data'        => $plugin_data,
            'version'            => $plugin_data['Version'],
            'name'               => $plugin_data['Name'],
            'menu_name'          => 'Master Popups',
            'short_name'         => 'MasterPopups',
            'slug'               => 'master-popups',
            'text_domain'        => 'master-popups',
            'prefix'             => 'mpp_',
            'post_types'         => array(
                'popups'        => 'master-popups',
                'lists'          => 'mpp_audience',
            ),
            'xbox_ids'           => array(
                'settings'           => 'settings-master-popups',
                'popup-editor'       => 'popup-editor-master-popups',
                'audience-editor'    => 'audience-editor-master-popups',
            ),
            'item_id'            => '20142807',
        ));
    }
    MasterPopups( $plugin_data );
}

register_activation_hook( __FILE__, array( 'MasterPopupsLoader', 'on_activate'   ) );